<ID>
Custom Page Mod for YaBB 2.6.0
</ID>

<Author>
James Andrews
</Author>

<Homepage>
http://www.yabbforumsoftware.com
</Homepage>

<Version>
0.6
</Version>

<Mod info>

General Features:

- Add as many custom web pages as you like.
- Enables you to transform your board into a website, while keeping the same template used for every page.
- Easily add in the HTML for the body of the page in admin center and it will give you a link for your new page.
- Modify and delete current pages.
- URL helpers in case you change the location of your board. Use <yabb url> for the URL of YaBB.pl/.cgi. E.g. <yabb url>?action=ml.
- Add a title for each page.
- Add counters to pages.
- Add pages to the menu.

Mod History:
- Version 0.6 updated to 2.6.0 on 09/07/2014
- Version 0.5.1 on 19/10/2010 - Again small modifications
- Version 0.5 on 09/09.2010 - Updated for YaBB 2.5 with small changes
- 0.3 BETA (7/1/08) - Updated to support YaBB 2.2
- 0.2           - No Changes. No bugs found, stable version.
- 0.2 BETA (24/6/06)    - Added page counters.
            - Added menu.
            - Added disable guest access.
- 0.1 BETA (22/6/06)    - First version released.

Installation:

Use BoardMod or manually edit files.

Upload:

- Sources/CustomPage.pm  (ASCII)
- Admin/CustomPage.pm (ASCII)
- Languages/English/CustomPage.lng (ASCII)
- Languages/English/Admin.lng (ASCII)
- Variables/Pages/.htaccess (ASCII)
- YaBB.pl
- AdminIndex.pl
- Admin/AdminSubList.pm
- Admin/Modlist.pm
</Mod info>

<Edit file>
Languages/English/Admin.lng
</Edit file>

<Search for>
);

%smtp_txt = (
</Search for>

<Add before>
'cp' => 'YaBB Custom Pages',
'cp1' => 'Create, edit or delete YaBB Custom Pages',
</Add before>

<Edit file>
YaBB.pl
</Edit file>

<Search for>
    elsif ( $INFO{'num'} ne q{} ) {
</Search for>

<Add before>
    elsif( $INFO{'custompage'} ) {
        require Sources::CustomPage;
        CustomPage();
    }
</Add before>

<Edit file>
Admin/AdminSubList.pm
</Edit file>

<Search for>
);
</Search for>

<Add before>
'pagemodify','CustomPageAdmin.pm&PageModify',
'pagemodify2','CustomPageAdmin.pm&PageModify2',
'pagedelete','CustomPageAdmin.pm&PageDelete',
'pagedelete2','CustomPageAdmin.pm&PageDelete2',
'custompage','CustomPageAdmin.pm&CustomPage',
'pagecreate','CustomPageAdmin.pm&PageCreate',
'pagecreate2','CustomPageAdmin.pm&PageCreate2',
</Add before>

<Edit file>
Admin/ModList.pm
</Edit file>

<Search for>
### END BOARDMOD ANCHOR ###
</Search for>

<Add before>
    $custompage = "Custom Page Mod for YaBB 2.6.0|James Andrews. Updated for YaBB 2.6.0 Dandello|Add an unlimited amount of custom webpages to your board, adds them into a menu.|0.6|09/07/14";
    push @installed_mods, $custompage;
</Add before>

<Edit file>
AdminIndex.pl
</Edit file>

<Search for>
### END BOARDMOD ANCHOR ###
</Search for>

<Add before>
    $custompage = "custompage|$mod_list{'cp'}|$mod_list{'cp1'}|";
    push @boardmod_mods, $custompage;
</Add before>